$(document).ready(function(){
   
    $("#createUser").submit(function(){
        var options = {
            beforeSubmit : checkCreateUser,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=user";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#updateUser").submit(function(){
        var options = {
            beforeSubmit : checkUpdateUser,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=user";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#checkall").click(function(){
        $(":checkbox[name='features[]']").each(function(){
            $(this).attr("checked",true);
        });

    });
});


function checkCreateUser(){
    var c_name = checkObjBlank("#first_name");
    var c_email = checkObjBlank("#email");
    var c_username = checkObjBlank("#username");
    var c_password = checkObjBlank("#password");

    if( c_name && c_email && c_username && c_password){
        
        if(checkObjEmail("#email") == false){
            showNotice( 'error',error_email_address_format,2000);
            return false;
        }

        var result = checkObjLen("#password",6);
        if( result != ""){
            showNotice('error',"Password " + result,2000);
            return false;
        }

        result = checkObjLen("#username",2);
        if( result != ""){
            showNotice( 'error',"Username " + result,2000);
            return false;
        }
        showNotice();
        return true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}

function checkUpdateUser(){
    var c_name = checkObjBlank("#first_name");
    var c_email = checkObjBlank("#email");
    var c_username = checkObjBlank("#username");

    if( c_name && c_email && c_username){
        if(checkObjEmail("#email") == false){
            showNotice( 'error',error_email_address_format,2000);
            return false;
        }

        result = checkObjLen("#username",4);
        if( result != ""){
            showNotice( 'error',"Username " + result,2000);
            return false;
        }
        showNotice();
        return true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}


function disableAccount(id,sign){
    var  title_string = dialog_information;
    var content_string = confirm_enable_account;    
        
    if(sign=="disable"){
        title_string = dialog_information;
        content_string = confirm_disable_account;
    }
    
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: title_string,
        content: content_string,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){                
                $.ajax({
                    type: "get",
                    url: "index.php?c=user&m=disable",
                    dataType: 'text',
                    data: "id="+id+"&sign="+ sign,
                    success: function(data){
                        if(data.indexOf('Error:') == -1){
                            showNotice('success',data, 2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 2000 ) );
                        }else{
                            showNotice('error',data, 2000);
                        }
                    }
                });
            }
        }
    });
}


